[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Путь к тестовой диаграмме
SystemShemaPath = fullfile(pathlib, 'Proba1n.zcos');

//Имена выходных характеристик модели
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];

//Получаем тестовую схему
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba1e.zcos'));//Схема системы  

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        0.5E-6..//Абсолютная погрешность
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol(1), SystemShemae.props.tol(1));

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaPath,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        0.5E-6..//Абсолютная погрешность
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol(1), SystemShemae.props.tol(1));

//Загружаем тестовую блок-диаграмму
SystemShemaD = xcosDiagramToScilab(SystemShemaPath);//Схема системы 

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        0.5E-6..//Абсолютная погрешность
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol(1), SystemShemae.props.tol(1));

//Запускаем базовую функцию
[SystemShema..//Обновленная схема системы
 ]=SetDiagramParameters(SystemShemaD,...//Схема системы
                        [],[],..//Параметры системы отсутствуют
                        0.5E-6..//Абсолютная погрешность
                        );

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemShema.props.tol(1), SystemShemae.props.tol(1));

clear;
